Subtasks don't resepect following/precedes
Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Issues planning Estimated time: 0.00 hour
Target version: 2.3.0

Resolution: Fixed Affected version:

Description

In the current development version, there is a bug
Imagine following scenario:

There are 2 tasks: "lssue1" and "Issue2", and "Issue2" follows "Issue 1" by x days. This works fine. But if | add an subtask to "lssue2"
the startdate is not correctly set to Issuel.enddate + x, instead it is possible to set any date you want, without respecting the Issue

Relation.

Furthermore, it is possible to set a relation so the subtask precedes "Issue 1", which creates a circular dependency.

Associated revisions

Revision 11640 - 2013-03-17 14:46 - Jean-Philippe Lang

Fixed: subtasks don't resepect following/precedes relations on creation (#12968).

Revision 11655 - 2013-03-19 19:37 - Jean-Philippe Lang
Merged r11640 from trunk (#12968).

History

#1 - 2013-01-28 09:14 - Daniel Felix

| encountered some error which seems to relates to the same problem.

For example:
- Task A

-- Task A1

-- Task A2

- Task B

-- Task B1

-- Task B2
-Task C

Task C follows A, Task B1 follows C, Task B2 follows B1

If | set some follow or precede on subtask, where the parent task already has precedes or follows relations, these relations will be automatically
removed without any warning or errormessage. | encountered this several times.

#2 - 2013-03-17 10:28 - Daniel Felix

- Target version set to 2.3.0

This should be rechecked before 2.3 release.

Can anyone still confirm this?

#3 - 2013-03-17 11:54 - Moe H

| have rewritten the all_dependent_issues function in the issue model, which should eliminate the problem with circular dependency. But i'm not sure

how to contribute it.

#4 - 2013-03-17 12:39 - Daniel Felix
Hi,

Maybe your firm with tortoise. Just generate a diff with your changes.
If not, just upload a file with the corresponding function.
Maybe toshi or jean-Philippe can review this and apply the changes to the core.
This way it could be fixed before Redmine 2.3 will be released.
#5 - 2013-03-17 16:23 - Jean-Philippe Lang
- Status changed from New to Resolved
- Assignee set to Jean-Philippe Lang
- Resolution set to Fixed
Moe H wrote:
In the current development version, there is a bug
Imagine following scenario:
There are 2 tasks: "Issue1" and "Issue2", and "Issue2" follows "Issue 1" by x days. This works fine. But if | add an subtask to "Issue2" the
startdate is not correctly set to Issuel.enddate + x, instead it is possible to set any date you want, without respecting the Issue Relation.

Fixed in r11640.

Furthermore, it is possible to set a relation so the subtask precedes "Issue 1", which creates a circular dependency.

Fixed as part of #8794.

Thanks for pointing this out.

#6 - 2013-03-19 19:37 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
